<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.kozen.printerhelper"
    android:versionCode="1"
    android:versionName="2142" >

    <uses-sdk
        android:minSdkVersion="16"
        android:targetSdkVersion="30" />

    <uses-permission android:name="android.permission.BLUETOOTH" />

    <application
        android:name="com.kozen.printerhelper.BaseApp"
        android:allowBackup="true"
        android:appComponentFactory="androidx.core.app.CoreComponentFactory"
        android:debuggable="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:testOnly="true"
        android:theme="@style/AppTheme" >
        <activity android:name="com.kozen.printerhelper.activity.FunctionActivity" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.kozen.printerhelper.activity.SettingActivity"
            android:parentActivityName="com.kozen.printerhelper.activity.FunctionActivity" />
        <activity
            android:name="com.kozen.printerhelper.activity.PrinterInfoActivity"
            android:parentActivityName="com.kozen.printerhelper.activity.SettingActivity" />
        <activity
            android:name="com.kozen.printerhelper.activity.QrActivity"
            android:parentActivityName="com.kozen.printerhelper.activity.FunctionActivity" />
        <activity
            android:name="com.kozen.printerhelper.activity.BarCodeActivity"
            android:parentActivityName="com.kozen.printerhelper.activity.FunctionActivity" />
        <activity
            android:name="com.kozen.printerhelper.activity.TextActivity"
            android:parentActivityName="com.kozen.printerhelper.activity.FunctionActivity"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name="com.kozen.printerhelper.activity.BitmapActivity"
            android:parentActivityName="com.kozen.printerhelper.activity.FunctionActivity" />
        <activity
            android:name="com.kozen.printerhelper.activity.TableActivity"
            android:parentActivityName="com.kozen.printerhelper.activity.FunctionActivity"
            android:windowSoftInputMode="adjustNothing" />
        <activity
            android:name="com.kozen.printerhelper.activity.AllActivity"
            android:parentActivityName="com.kozen.printerhelper.activity.FunctionActivity" />
        <activity
            android:name="com.kozen.printerhelper.activity.BufferActivity"
            android:parentActivityName="com.kozen.printerhelper.activity.FunctionActivity" />
        <activity
            android:name="com.kozen.printerhelper.activity.BlackLabelActivity"
            android:parentActivityName="com.kozen.printerhelper.activity.FunctionActivity" />
        <activity
            android:name="com.kozen.printerhelper.activity.LcdActivity"
            android:parentActivityName="com.kozen.printerhelper.activity.FunctionActivity" />
        <activity
            android:name="com.kozen.printerhelper.activity.LabelActivity"
            android:parentActivityName="com.kozen.printerhelper.activity.FunctionActivity" />
    </application>

</manifest>